All Classes Namespaces Functions Variables Groups Pages
HttpServer::HttpHandlerResponseInfo Struct Reference

the return value of HTTP handler methods with potentially unserialized message bodies More...

## Public Attributes

auto | body
| the message body to return in the response; for higher-level handlers this can be any data type that will later be serialized for sending over the HTTP socket
softbool | close = False
| set this key to True if the connection should be unconditionally closed when the handler returns
int | code
| the HTTP return code (see HttpServer::HttpCodes for possible values)
string | errlog
| a string can be returned here which will be logged in the HTTP server's error log file (if any)
*hash | hdr
| set this key to a hash of extra header information to be returned with the response
string | log
| a string can be returned here which will be logged in the HTTP server's log file (if any)
bool | reply_sent = False
| this key can be set to True if the reply has already been sent (by a chunked callback for example)

## Detailed Description

the return value of HTTP handler methods with potentially unserialized message bodies